Package org.apache.activemq.artemis.jms.bridge.impl

## Class JMSBridgeControlImpl

- java.lang.Object
- - javax.management.StandardMBean
  - - org.apache.activemq.artemis.jms.bridge.impl.JMSBridgeControlImpl

- All Implemented Interfaces:
    `javax.management.DynamicMBean`, `javax.management.MBeanRegistration`, `ActiveMQComponentControl`, `JMSBridgeControl`

      public class JMSBridgeControlImpl
      extends javax.management.StandardMBean
      implements JMSBridgeControl

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JMSBridgeControlImpl​(JMSBridge bridge)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClientID()` |
    `long` | `getFailureRetryInterval()` |
    `int` | `getMaxBatchSize()` |
    `long` | `getMaxBatchTime()` |
    `int` | `getMaxRetries()` |
    `java.lang.String` | `getQualityOfServiceMode()` |
    `java.lang.String` | `getSelector()` |
    `java.lang.String` | `getSourcePassword()` |
    `java.lang.String` | `getSourceUsername()` |
    `java.lang.String` | `getSubscriptionName()` |
    `java.lang.String` | `getTargetPassword()` |
    `java.lang.String` | `getTargetUsername()` |
    `boolean` | `isAddMessageIDInHeader()` |
    `boolean` | `isFailed()` |
    `boolean` | `isPaused()` |
    `boolean` | `isStarted()` | Returns `true` if this component is started, `false` else.
    `void` | `pause()` |
    `void` | `resume()` |
    `void` | `setAddMessageIDInHeader​(boolean value)` |
    `void` | `setClientID​(java.lang.String clientID)` |
    `void` | `setFailureRetryInterval​(long interval)` |
    `void` | `setMaxBatchSize​(int size)` |
    `void` | `setMaxBatchTime​(long time)` |
    `void` | `setMaxRetries​(int retries)` |
    `void` | `setQualityOfServiceMode​(java.lang.String mode)` |
    `void` | `setSelector​(java.lang.String selector)` |
    `void` | `setSourcePassword​(java.lang.String pwd)` |
    `void` | `setSourceUsername​(java.lang.String name)` |
    `void` | `setSubscriptionName​(java.lang.String subname)` |
    `void` | `setTargetPassword​(java.lang.String pwd)` |
    `void` | `setTargetUsername​(java.lang.String name)` |
    `void` | `start()` | Starts this component.
    `void` | `stop()` | Stops this component.

    - ### Methods inherited from class javax.management.StandardMBean

      `cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSBridgeControlImpl

          public JMSBridgeControlImpl​(JMSBridge bridge)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### pause

          public void pause()
                     throws java.lang.Exception

      Specified by:
        `pause` in interface `JMSBridgeControl`
      Throws:
        `java.lang.Exception`

    - #### resume

          public void resume()
                      throws java.lang.Exception

      Specified by:
        `resume` in interface `JMSBridgeControl`
      Throws:
        `java.lang.Exception`

    - #### isStarted

          public boolean isStarted()

      Description copied from interface: `ActiveMQComponentControl`
      Returns `true` if this component is started, `false` else.
      Specified by:
        `isStarted` in interface `ActiveMQComponentControl`

    - #### start

          public void start()
                     throws java.lang.Exception

      Description copied from interface: `ActiveMQComponentControl`
      Starts this component.
      Specified by:
        `start` in interface `ActiveMQComponentControl`
      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop()
                    throws java.lang.Exception

      Description copied from interface: `ActiveMQComponentControl`
      Stops this component.
      Specified by:
        `stop` in interface `ActiveMQComponentControl`
      Throws:
        `java.lang.Exception`

    - #### getClientID

          public java.lang.String getClientID()

      Specified by:
        `getClientID` in interface `JMSBridgeControl`

    - #### getFailureRetryInterval

          public long getFailureRetryInterval()

      Specified by:
        `getFailureRetryInterval` in interface `JMSBridgeControl`

    - #### getMaxBatchSize

          public int getMaxBatchSize()

      Specified by:
        `getMaxBatchSize` in interface `JMSBridgeControl`

    - #### getMaxBatchTime

          public long getMaxBatchTime()

      Specified by:
        `getMaxBatchTime` in interface `JMSBridgeControl`

    - #### getMaxRetries

          public int getMaxRetries()

      Specified by:
        `getMaxRetries` in interface `JMSBridgeControl`

    - #### getQualityOfServiceMode

          public java.lang.String getQualityOfServiceMode()

      Specified by:
        `getQualityOfServiceMode` in interface `JMSBridgeControl`

    - #### getSelector

          public java.lang.String getSelector()

      Specified by:
        `getSelector` in interface `JMSBridgeControl`

    - #### getSourcePassword

          public java.lang.String getSourcePassword()

      Specified by:
        `getSourcePassword` in interface `JMSBridgeControl`

    - #### getSourceUsername

          public java.lang.String getSourceUsername()

      Specified by:
        `getSourceUsername` in interface `JMSBridgeControl`

    - #### getSubscriptionName

          public java.lang.String getSubscriptionName()

      Specified by:
        `getSubscriptionName` in interface `JMSBridgeControl`

    - #### getTargetPassword

          public java.lang.String getTargetPassword()

      Specified by:
        `getTargetPassword` in interface `JMSBridgeControl`

    - #### getTargetUsername

          public java.lang.String getTargetUsername()

      Specified by:
        `getTargetUsername` in interface `JMSBridgeControl`

    - #### isAddMessageIDInHeader

          public boolean isAddMessageIDInHeader()

      Specified by:
        `isAddMessageIDInHeader` in interface `JMSBridgeControl`

    - #### isFailed

          public boolean isFailed()

      Specified by:
        `isFailed` in interface `JMSBridgeControl`

    - #### isPaused

          public boolean isPaused()

      Specified by:
        `isPaused` in interface `JMSBridgeControl`

    - #### setAddMessageIDInHeader

          public void setAddMessageIDInHeader​(boolean value)

      Specified by:
        `setAddMessageIDInHeader` in interface `JMSBridgeControl`

    - #### setClientID

          public void setClientID​(java.lang.String clientID)

      Specified by:
        `setClientID` in interface `JMSBridgeControl`

    - #### setFailureRetryInterval

          public void setFailureRetryInterval​(long interval)

      Specified by:
        `setFailureRetryInterval` in interface `JMSBridgeControl`

    - #### setMaxBatchSize

          public void setMaxBatchSize​(int size)

      Specified by:
        `setMaxBatchSize` in interface `JMSBridgeControl`

    - #### setMaxBatchTime

          public void setMaxBatchTime​(long time)

      Specified by:
        `setMaxBatchTime` in interface `JMSBridgeControl`

    - #### setMaxRetries

          public void setMaxRetries​(int retries)

      Specified by:
        `setMaxRetries` in interface `JMSBridgeControl`

    - #### setQualityOfServiceMode

          public void setQualityOfServiceMode​(java.lang.String mode)

      Specified by:
        `setQualityOfServiceMode` in interface `JMSBridgeControl`

    - #### setSelector

          public void setSelector​(java.lang.String selector)

      Specified by:
        `setSelector` in interface `JMSBridgeControl`

    - #### setSourcePassword

          public void setSourcePassword​(java.lang.String pwd)

      Specified by:
        `setSourcePassword` in interface `JMSBridgeControl`

    - #### setSourceUsername

          public void setSourceUsername​(java.lang.String name)

      Specified by:
        `setSourceUsername` in interface `JMSBridgeControl`

    - #### setSubscriptionName

          public void setSubscriptionName​(java.lang.String subname)

      Specified by:
        `setSubscriptionName` in interface `JMSBridgeControl`

    - #### setTargetPassword

          public void setTargetPassword​(java.lang.String pwd)

      Specified by:
        `setTargetPassword` in interface `JMSBridgeControl`

    - #### setTargetUsername

          public void setTargetUsername​(java.lang.String name)

      Specified by:
        `setTargetUsername` in interface `JMSBridgeControl`